<template>
  <div id="app">
    <childHealth v-if="activeBook.name == 'childHealth'"></childHealth>
    <lifeCare v-if="activeBook.name == 'lifeCare'"></lifeCare>
    <embedded v-if="activeBook.name == 'embedded'"></embedded>
    <english v-if="activeBook.name == 'english'"></english>
  </div>
</template>

<script>
import childHealth from "./books/childHealth/view/index.vue";
import lifeCare from "./books/lifeCare/index.vue";
import embedded from "./books/embedded/view/index.vue";
import english from "./books/English/view/index.vue";

export default {
  name: "App",
  components: {
    childHealth,
    lifeCare,
    embedded,
    english
  },
  data() {
    return {
      activeBook: {}
    };
  },
  async created() {
    if (this.setGlobalState) {
      this.setGlobalState({
        initTestBook: async (bookId, tryPageCount) => {
          // this.activeBook = await this.config.getBookConfig(this.config.resourceCtx + bookId);
          if (
            this.config.resourceCtx ==
            "http://182.92.203.7:3007/books/resource/"
          ) {
            this.config.resourceCtx = this.config.resourceCtx + bookId;
          }
          this.config.activeBook = this.activeBook;
          this.config.goodsStore = this.activeBook.storeRefcode;
          this.activeBook = await this.config.getBookConfig(
            this.config.resourceCtx
          );
          if (tryPageCount) {
            this.activeBook.tryPageCount = tryPageCount;
          }
          console.log("图书", this.activeBook);
          if (
            (this.$store.state.qiankun, this.$store.state.qiankun.getBookConfig)
          ) {
            this.$store.state.qiankun.getBookConfig({
              bookConfig: this.activeBook
            });
          }
        }
      });
    } else {
      this.activeBook = await this.config.getBookConfig(
        // childHealth
        this.config.resourceCtx + "lifeCare"
      );
      // 测试试读30页
      // this.activeBook.tryPageCount = 30;

      this.config.activeBook = this.activeBook;
      this.config.goodsStore = this.activeBook.storeRefcode;
    }
  }
};
</script>

<style lang="less">
html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
}
#app {
  width: 100%;
  height: 100%;
}
.highLight {
  border: 1px dashed rgba(255, 255, 255, 0);
  border-radius: 5px;
  padding: 3px;
  cursor: pointer;
}
.highLight:hover {
  border: 1px dashed #949494 !important;
}

.underline {
  border: 1px dashed rgba(255, 255, 255, 0);
  padding: 5px;
  border-radius: 5px;
  text-decoration: underline;
  text-decoration-style: wavy;
  text-underline-thickness: 2px;
  cursor: pointer;
}
.underline:hover {
  border: 1px dashed #949494 !important;
}

.notesline {
  padding-bottom: 2px;
  border-bottom: 2px solid;
  cursor: pointer;
}
</style>
